Bug 1012652 - [RFE][4.x] Add an option to filter out i686 or x86_64 packages
[RFE][4.x] Add an option to filter out i686 or x86_64 packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
22
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 15:38 EDT by Heiko Adams
Modified: 2015-04-21 01:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 01:03:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2013-09-26 15:38:38 EDT
For users who don't use multilib and have only installed packages for their architecture (i696 or x86_64) it's annoying to have allways all architectures listed in the results.

So it would be usefull to have an option to filter out i686 or x86_64 packages from the results so they only contain noarch and i686 or x86_64 packages if that option is active. 

For being backward compatible that option should be disabled by default
Comment 1 Tim Lauridsen 2013-09-27 00:32:37 EDT
Sound like it could be a useful addition

there are two ways to go:

1. make a show the best match arch only (noarch & x86_64) on x86_64

2. make a arch filter to select the archs you what to show

1. is for the case where you want to search for stuff to install and dont care about the i686 packages.

2. is for the case where you want to find installed i686 packages to get rid of them.
Comment 2 Tim Lauridsen 2013-10-02 14:25:05 EDT
I have implemented a initial arch filter in yumex-nextgen

Check for details how to test here:
https://github.com/timlau/yumex/tree/future

Just click on the header of the arch column to select the arch to show.
Comment 3 Heiko Adams 2013-10-02 16:26:12 EDT
Yeah, looks good!

Note You need to log in before you can comment on or make changes to this bug.